
# THIS PACKAGE IS STORED IN SVN
# PLEASE DO NOT UPLOAD WITHOUT
# COMMITTING YOUR CHANGES FIRST

%define version 2004g
%define fversion 2004g
%define release %mkrel 2
%define fname imap
%define epoch 1

%define soname c-client-php
%define major 0
%define libname %mklibname %{soname} %{major}

# Change the default connected directory from the user's home directory
# to the named subdirectory of the user's home directory
%define	mailsubdir Mail

%define name imap
%define	renamed_uw 0
%define with_krb 1

Summary:	Server daemons for IMAP and POP network mail protocols
Name:		%{fname}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		System/Servers
Source:		ftp://ftp.cac.washington.edu/mail/imap-%{fversion}.tar.Z
Source2:	imap-xinetd
Source3:	ipop3-xinetd
Source4:	ipop2-xinetd
Source5:	imaps-xinetd
Source6:	pop3s-xinetd
Source7:	flock.c
# yves - 2001a-4mdk - this makefile comes from RH openssl rpm
Source8:	Makefile.imap
Source9:	ftp://ftp.cac.washington.edu/mail/imap-utils.tar.bz2

Patch0: 	imap-2002e-ssl.patch
Patch1: 	imap-2004d-linux.diff
Patch3:		imap-2001a-disable-mbox.patch
Patch4:		imap-2001a-redhat.patch
Patch5: 	imap-2004-flock.diff
Patch7: 	imap-2004c1-version.diff
Patch9:		imap-2004-glibc-2.2.2.diff
Patch11:	imap-2002-krbpath.patch
Patch12:	imap-2001a-overflow.patch
Patch15:	imap-2002a-noprompt-makefile.patch
Patch16:	imap-utils-makefiles.patch

# (sb) ipop3d gripes about msec permissions on /var/spool/mail
Patch17:	imap-2002d-mail-spool-perms.patch

Patch21:	imap-2004a-shared.patch
Patch22:	imap-2002e-authmd5.patch

# (oe) the annotate patch is implemented upstream and needed by kolab2
Patch23:	imap-2004e-annotate.diff

# (oe) http://www.gadgetwiz.com/software/hash_reset.html
Patch24:	imap-2004g-hash_reset.diff

Buildroot:	%{_tmppath}/%{name}-buildroot
Requires:	pam >= 0.59
PreReq:		xinetd
BuildPreReq:	openssl-devel
%if %{with_krb}
BuildPreReq:	krb5-devel
%endif
BuildRequires:	pam-devel
URL:		http://www.washington.edu/imap/
Epoch:		%{epoch}
Conflicts:	cyrus-imapd courier-imap

%if %{renamed_uw}
Provides:	imap = %{version}
Obsoletes:	imap
%endif

%description
The imap package provides server daemons for both the IMAP (Internet
Message Access Protocol) and POP (Post Office Protocol) mail access
protocols.  The POP protocol uses a "post office" machine to collect mail
for users and allows users to download their mail to their local machine
for reading. The IMAP protocol provides the functionality of POP, but
allows a user to read mail on a remote machine without downloading it to
their local machine.

Install the imap package if you need a server to support the IMAP or the
POP mail access protocols.

%package	devel
Summary:	Libraries, includes, etc to develop IMAP applications
Group:		Development/C
%if %{renamed_uw}
Provides:       imap-devel = %{version}
Obsoletes:      imap
%endif

%description	devel
The imap-devel package contains the header files and static libraries for
developing programs which will use the IMAP (Internet Message Access
Protocol) library.

%package	utils
Summary:	Some basic IMAP utilities to make managing your email simpler
Group:		System/Servers
%if %{renamed_uw}
Provides:       imap-utils = %{version}
Obsoletes:      imap
%endif

%description	utils
This package contains some basic IMAP tools for managing IMAP email.

These tools are part of the uw-imapd, but may be used indepentantly
since they are stand-alone and not bound to a specific IMAP server.

chkmail  - check for new mail
icat     - "cat" a mailbox from an IMAP source (standard Unix mailbox format)
ifrom    - one line per message summary of IMAP mailbox

imapcopy - copy messages from an IMAP inbox to a local mailbox
imapmove - move messages from an IMAP inbox to a local mailbox
imapxfer - copy mailboxes between IMAP servers

mbxcreat - create a new mailbox
mbxcopy  - copy messages to a new mailbox
mbxmove  - move messages to a new mailbox
mbxcvt   - copy or move messages to a new mailbox, converting mailbox format

dmail    - procmail Mail Delivery Module
tmail    - Mail Delivery Module

%package -n	%{libname}
Summary:	C-client mail access routines for IMAP and POP protocols
Group:		System/Libraries
Provides:	c-client

%description -n	%{libname}
C-client is a common API for accessing mailboxes. It is used internally by
the popular PINE mail reader, the University of Washington's IMAP server
and PHP.

This package contains the shared c-client library.

%package -n	%{libname}-devel
Summary:	Development files for the c-client library
Group:		Development/C
Provides:	libc-client-php-devel
Requires:	%{libname} = %{epoch}:%{version}
Requires:	imap-devel = %{epoch}:%{version}

%description -n	%{libname}-devel
C-client is a common API for accessing mailboxes. It is used internally by
the popular PINE mail reader, the University of Washington's IMAP server
and PHP.

This package contains development files for the c-client library.

%prep

%setup -q -n %{fname}-%{fversion} -a9

# (sb) breaks patching
rm -rf RCS

%patch0 -p0 -b .ssl
%patch1 -p0 -b .linux
%patch3 -p1 -b .mbox
%patch4 -p1 -b .redhat
%patch5 -p0 -b .flock
%patch7 -p1 -b .version
install -m 0644 %{SOURCE7} src/osdep/unix/flock.c
%patch9 -p1 -b .glibc
%if %with_krb
%patch11 -p1 -b .gssapi-patch
%endif

%patch12 -p1 -b .overflow
%patch15 -p1 -b .noprompt
%patch16 -p1 -b .utils
%patch17 -p1 -b .lock-warning
%patch21 -p1 -b .shared
%patch22 -p1 -b .authmd5
%patch23 -p1 -b .annotate
%patch24 -p1 -b .hash_reset

# save man pages, since main Makefile overwrites these directories
mv tmail/tmail.1 .
mv dmail/dmail.1 .

install -m 0644 %{SOURCE2} imap-xinetd
install -m 0644 %{SOURCE3} ipop3-xinetd
install -m 0644 %{SOURCE4} ipop2-xinetd
install -m 0644 %{SOURCE5} imaps-xinetd
install -m 0644 %{SOURCE6} pop3s-xinetd

%build
EXTRACFLAGS="$EXTRACFLAGS -I%{_includedir}/openssl"
%if %with_krb
EXTRACFLAGS="$EXTRACFLAGS -I%{_includedir}/krb5"
%endif
EXTRALDFLAGS="$EXTRALDFLAGS -L%{_libdir}"

%make RPM_OPT_FLAGS="%{optflags} -D_REENTRANT -DDIC -fPIC -fno-omit-frame-pointer" lnp \
	EXTRACFLAGS="$EXTRACFLAGS" \
	EXTRALDFLAGS="$EXTRALDFLAGS" \
%if %{with_krb}
	EXTRAAUTHENTICATORS=gss \
%endif
	SSLDIR=%{_libdir}/ssl \
	SSLINCLUDE=%{_includedir}/openssl \
	SSLLIB=%{_libdir} \
	LOCKPGM=%{_sbindir}/mlock \
	SSLTYPE=unix.nopwd \
	BASECFLAGS="%{optflags} -D_REENTRANT -DDIC -fPIC -fno-omit-frame-pointer" \
	IP=6

mv -f ipopd/ipop3d ipop3sd
mv -f imapd/imapd imapsd
mv -f c-client/c-client.a c-client-ssl.a
make clean

################################################################################
# Build a usable c-client.a for PHP4 (duh!) // Oden Eriksson Tue 15 Jun 2004
# Thanks to Troels Arvin <troels@arvin.dk> and Kaj J. Niemi for he hints!
EXTRACFLAGS="$EXTRACFLAGS -DDISABLE_POP_PROXY=1 -DIGNORE_LOCK_EACCES_ERRORS=1"
EXTRACFLAGS="$EXTRACFLAGS -I%{_includedir}/openssl"
EXTRALDFLAGS="$EXTRALDFLAGS -L%{_libdir}"

make RPM_OPT_FLAGS="%{optflags} -D_REENTRANT -DDIC -fPIC -fno-omit-frame-pointer" slx \
	EXTRACFLAGS="$EXTRACFLAGS" \
	EXTRALDFLAGS="$EXTRALDFLAGS" \
	SSLDIR=%{_libdir}/ssl \
	SSLINCLUDE=%{_includedir}/openssl \
	SSLLIB=%{_libdir} \
	LOCKPGM=%{_sbindir}/mlock \
	SSLTYPE=unix \
	SHLIBBASE=%{soname} \
	SHLIBNAME=lib%{soname}.so.%{major} \
	BASECFLAGS="%{optflags} -D_REENTRANT -DDIC -fPIC -fno-omit-frame-pointer" \
	IP=6

mv -f c-client/c-client.a %{soname}.a
mv -f c-client/lib%{soname}.so.%{major} .
make clean

################################################################################
# rebuild without SSL support to allow using of different (imapd/imapsd, ipop3d/ipop3sd)
# libwrapper entries.
%make RPM_OPT_FLAGS="%{optflags} -D_REENTRANT -DDIC -fPIC -fno-omit-frame-pointer" lnp \
	EXTRACFLAGS="$EXTRACFLAGS" \
	LOCKPGM=%{_sbindir}/mlock \
	SSLTYPE=none \
	BASECFLAGS="%{optflags} -D_REENTRANT -DDIC -fPIC -fno-omit-frame-pointer" \
	IP=6

cp -p c-client/c-client.a c-client-nossl.a

# build imap-utils
for i in chkmail icat ifrom imapcopy imapxfer mbxcopy mbxcreat mbxcvt ; do
  %make -C $i
done

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# make some directories
install -d %{buildroot}%{_sysconfdir}/pam.d
install -d %{buildroot}%{_sysconfdir}/xinetd.d
install -d %{buildroot}%{_sysconfdir}/ssl/imap
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_bindir}
install -d %{buildroot}%{_libdir}
install -d %{buildroot}%{_includedir}/imap
install -d %{buildroot}%{_localstatedir}/imap/ssl
install -d %{buildroot}%{_mandir}/man8
install -d %{buildroot}%{_mandir}/man1

# install man pages
install -m0644 chkmail/chkmail.1 %{buildroot}%{_mandir}/man1/
install -m0644 dmail.1 %{buildroot}%{_mandir}/man1/
install -m0644 icat/icat.1 %{buildroot}%{_mandir}/man1/
install -m0644 ifrom/ifrom.1 %{buildroot}%{_mandir}/man1/
install -m0644 imapcopy/imapcopy.1 %{buildroot}%{_mandir}/man1/
install -m0644 imapxfer/imapxfer.1 %{buildroot}%{_mandir}/man1/
install -m0644 mbxcopy/mbxcopy.1 %{buildroot}%{_mandir}/man1/
install -m0644 mbxcreat/mbxcreat.1 %{buildroot}%{_mandir}/man1/
install -m0644 mbxcvt/mbxcvt.1 %{buildroot}%{_mandir}/man1/
install -m0644 tmail.1 %{buildroot}%{_mandir}/man1/
install -m0644 src/imapd/imapd.8 %{buildroot}%{_mandir}/man8/imapd.8
install -m0644 src/ipopd/ipopd.8 %{buildroot}%{_mandir}/man8/ipopd.8

# install daemons
install -m0755 ipopd/ipop2d %{buildroot}%{_sbindir}/
install -m0755 ipopd/ipop3d %{buildroot}%{_sbindir}/
install -m0755 imapd/imapd %{buildroot}%{_sbindir}/
install -m0755 ipop3sd %{buildroot}%{_sbindir}/
install -m0755 imapsd %{buildroot}%{_sbindir}/

# install utils
install -m0755 chkmail/chkmail %{buildroot}%{_bindir}/
install -m0755 dmail/dmail %{buildroot}%{_bindir}/
install -m0755 icat/icat %{buildroot}%{_bindir}/
install -m0755 ifrom/ifrom %{buildroot}%{_bindir}/
install -m0755 imapcopy/imapcopy %{buildroot}%{_bindir}/
ln -snf imapcopy %{buildroot}%{_bindir}/imapmove
install -m0755 imapxfer/imapxfer %{buildroot}%{_bindir}/
install -m0755 mbxcopy/mbxcopy %{buildroot}%{_bindir}/
ln -snf mbxcopy %{buildroot}%{_bindir}/mbxmove
install -m0755 mbxcreat/mbxcreat %{buildroot}%{_bindir}/
install -m0755 mbxcvt/mbxcvt %{buildroot}%{_bindir}/
install -m0755 tmail/tmail %{buildroot}%{_bindir}/

# install pam files
%if %mdkversion < 200700
cat > %{buildroot}%{_sysconfdir}/pam.d/imap <<EOF
#%PAM-1.0
auth       required     pam_stack.so service=system-auth
account    required     pam_stack.so service=system-auth
EOF
%else
cat > %{buildroot}%{_sysconfdir}/pam.d/imap <<EOF
#%PAM-1.0
auth       include     system-auth
account    include     system-auth
EOF
%endif
cp -a %{buildroot}%{_sysconfdir}/pam.d/{imap,pop}

# install headers
install -m0644 c-client/*.h %{buildroot}%{_includedir}/imap/
install -m0644 src/osdep/tops-20/shortsym.h %{buildroot}%{_includedir}/imap/

# install static libraries
install -m0644 c-client-nossl.a %{buildroot}%{_libdir}/libc-client-nossl.a
install -m0644 c-client-ssl.a %{buildroot}%{_libdir}/libc-client.a
# rh - Added linkage.c to fix (#34658) <mharris>
install -m0644 c-client/linkage.c %{buildroot}%{_includedir}/imap/

# install xinetd scripts
install -m0644 imap-xinetd %{buildroot}%{_sysconfdir}/xinetd.d/imap
install -m0644 ipop3-xinetd %{buildroot}%{_sysconfdir}/xinetd.d/ipop3
install -m0644 ipop2-xinetd %{buildroot}%{_sysconfdir}/xinetd.d/ipop2
install -m0644 imaps-xinetd %{buildroot}%{_sysconfdir}/xinetd.d/imaps
install -m0644 pop3s-xinetd %{buildroot}%{_sysconfdir}/xinetd.d/pop3s

# SSL support
# Generate ghost *.pem files
touch %{buildroot}%{_sysconfdir}/ssl/imap/{imapsd,ipop3sd}.pem
chmod 600 %{buildroot}%{_sysconfdir}/ssl/imap/{imapsd,ipop3sd}.pem
# install the RedHat Makefile
install -m 0644 %{SOURCE8} %{buildroot}%{_localstatedir}/imap/ssl/Makefile.imap
# (sb) moved the above Makefile to make rpmlint happy
ln -sf %{_localstatedir}/imap/ssl/Makefile.imap %{buildroot}%{_sysconfdir}/ssl/imap/

# mailsubdir
cat > %{buildroot}%{_sysconfdir}/c-client.cf <<EOF
I accept the risk of using UW-imapd
set mail-subdirectory %mailsubdir
EOF

# OE: 20040614 provide stuff for php
install -m0755 lib%{soname}.so.%{major} %{buildroot}%{_libdir}/
ln -snf lib%{soname}.so.%{major} %{buildroot}%{_libdir}/lib%{soname}.so
install -m0755 %{soname}.a %{buildroot}%{_libdir}/lib%{soname}.a

%post
# If no cert, migrate stunnel.pem, or generate a new cert
pushd %{_sysconfdir}/ssl/imap &> /dev/null || :
for CERT in imapsd.pem ipop3sd.pem ;do
   if [ ! -e $CERT ];then
      if [ -e stunnel.pem ];then
         cp stunnel.pem $CERT &> /dev/null || :
      elif [ -e Makefile.imap ];then
         make -f Makefile.imap $CERT << EOF &> /dev/null || :
--
SomeState
SomeCity
SomeOrganization
SomeOrganizationalUnit
localhost.localdomain
root@localhost.localdomain
EOF
      fi
   fi
done
popd &> /dev/null || :
[ -x /etc/init.d/xinetd ] && /etc/init.d/xinetd condrestart 2>/dev/null >/dev/null
exit 0

%postun
[ -x /etc/init.d/xinetd ] && /etc/init.d/xinetd condrestart 2>/dev/null >/dev/null
exit 0

%triggerpostun -- imap < 1:2002d-6mdk
if [ -r %{_sysconfdir}/c-client.cf ]; then
	if grep -q "^set mail-subdirectory %mailsubdir" %{_sysconfdir}/c-client.cf; then
		perl -pi -e 's/^set mail-subdirectory/\#set mail-subdirectory/g' \
			%{_sysconfdir}/c-client.cf
	fi
fi

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/xinetd.d/ipop2
%config(noreplace) %{_sysconfdir}/xinetd.d/ipop3
%config(noreplace) %{_sysconfdir}/xinetd.d/pop3s
%config(noreplace) %{_sysconfdir}/xinetd.d/imap
%config(noreplace) %{_sysconfdir}/xinetd.d/imaps
%config(noreplace) %{_sysconfdir}/pam.d/imap
%config(noreplace) %{_sysconfdir}/pam.d/pop
%dir %{_sysconfdir}/ssl/imap
%attr(0600,root,root) %ghost %config(missingok,noreplace) %verify(not md5 size mtime) %{_sysconfdir}/ssl/imap/*.pem
%{_sysconfdir}/ssl/imap/Makefile.imap
%dir %{_localstatedir}/imap
%{_localstatedir}/imap/ssl/Makefile.imap
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/c-client.cf
%{_mandir}/man8/ipopd.8*
%{_mandir}/man8/imapd.8*
%attr(0755,root,mail) %{_sbindir}/ipop2d
%attr(0755,root,mail) %{_sbindir}/ipop3d
%attr(0755,root,mail) %{_sbindir}/ipop3sd
%attr(0755,root,mail) %{_sbindir}/imapd
%attr(0755,root,mail) %{_sbindir}/imapsd
%doc README CPYRIGHT
%doc `find docs -type f | grep -v internal.txt` 

%files utils
%defattr(-,root,root)
%attr(0755,root,root) %{_bindir}/chkmail
%attr(0755,root,root) %{_bindir}/dmail
%attr(0755,root,root) %{_bindir}/icat
%attr(0755,root,root) %{_bindir}/ifrom
%attr(0755,root,root) %{_bindir}/imapcopy
%attr(0755,root,root) %{_bindir}/imapmove
%attr(0755,root,root) %{_bindir}/imapxfer
%attr(0755,root,root) %{_bindir}/mbxcopy
%attr(0755,root,root) %{_bindir}/mbxmove
%attr(0755,root,root) %{_bindir}/mbxcreat
%attr(0755,root,root) %{_bindir}/mbxcvt
%attr(0755,root,root) %{_bindir}/tmail
%attr(0644,root,root) %{_mandir}/man1/chkmail.1*
%attr(0644,root,root) %{_mandir}/man1/dmail.1*
%attr(0644,root,root) %{_mandir}/man1/icat.1*
%attr(0644,root,root) %{_mandir}/man1/ifrom.1*
%attr(0644,root,root) %{_mandir}/man1/imapcopy.1*
%attr(0644,root,root) %{_mandir}/man1/imapxfer.1*
%attr(0644,root,root) %{_mandir}/man1/mbxcopy.1*
%attr(0644,root,root) %{_mandir}/man1/mbxcreat.1*
%attr(0644,root,root) %{_mandir}/man1/mbxcvt.1*
%attr(0644,root,root) %{_mandir}/man1/tmail.1*

%files devel
%defattr(-,root,root)
%doc docs/internal.txt
%{_libdir}/libc-client.a
%{_libdir}/libc-client-nossl.a
%{_includedir}/imap

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/lib%{soname}.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_libdir}/lib%{soname}.a
%{_libdir}/lib%{soname}.so



%changelog
* Sat Aug 12 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-08-12 13:11:04 (55717)
- correct the pam file generation

* Thu Aug 10 2006 Oden Eriksson <oeriksson@mandriva.com>
+ 2006-08-10 20:00:24 (55454)
- fix a possible symbol clash with mysql

* Mon Aug 07 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-07 23:02:41 (54213)
- ops, 200700 and not 20070 in mkdversion comparison

* Mon Aug 07 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-07 23:00:27 (54210)
- updated to version 2004g (using pristine version: .Z)
- removed CAN-2005-2933 security patch, already fixed
- bunzipped rest of bzipped source files
- build pam file according to version of the distribution
- using mdv instead of mdk in the version patch which marks this
  as a modified version of the software

* Mon Aug 07 2006 Andreas Hasenack <andreas@mandriva.com>
+ 2006-08-07 21:32:38 (54164)
- import imap-2004e-3mdk

* Sun Nov 13 2005 Oden Eriksson <oeriksson@mandriva.com> 2004e-3mdk
- rebuilt against openssl-0.9.8a

* Mon Oct 24 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2004e-2mdk
- security update for CAN-2205-2933 (P24)

* Wed Jul 06 2005 Oden Eriksson <oeriksson@mandriva.com> 1:2004e-1mdk
- 2004e
- added rediffed P23 from the openpkg kolab2 packages

* Thu Jun 09 2005 Buchan Milne <bgmilne@linux-mandrake.com> 2004d-2mdk
- Rebuild for libkrb53-devel 1.4.1

* Sun May 29 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:2004d-1mdk
- 2004d
- rediffed P1

* Thu Feb 17 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:2004c1-2mdk
- fix xinetd deps (#13716)

* Sun Feb 13 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 1:2004c1-1mdk
- 2004c1 (maintenance release)
- rediffed P7
- drop P30, the vu-702777 fix is included upstream
- added some ssl related build stuff after looking at the new lmd 
  build option

* Sat Feb 12 2005 Stew Benedict <sbenedict@mandrakesoft.com> 1:2004a-2mdk
- security update for CERT VU#702777 (p30)
- rpmlint:
    o drop unused patch, dot in summary
    o requires-release, incoherant version,
- drop compatibility defines for ancient distro releases

* Tue Nov 09 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2004a-1mdk
- 2004a (maintenance release)
- rediffed P7

* Thu Oct 21 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2004-2mdk
- use -D_REENTRANT -DDIC, seems to fix amd64 build (joeghi)
- fix P21 (joeghi)

* Wed Jun 16 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2004-1mdk
- 2004
- enabled ipv6 support
- fixed P1, P5, P7, P9
- drop pointless P10
- disable pam in the shared c-client lib, pretty pointless for a  
  php-imap client...

* Tue Jun 15 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2002e-1mdk
- 2002e
- provide shared c-client libs as well

* Mon Dec 29 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002d-8mdk
- msec/ipop3d conflict with mailbox permissions [Bug 6617] - Patch17
- some file re-arranging to make rpmlint happier

* Mon Oct 20 2003 Frederic Lepied <flepied@mandrakesoft.com> 2002d-7mdk
- rebuild for rewriting /etc/pam.d file

* Mon Sep 01 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 2002d-6mdk
- mailsubdir default again in $HOME/Mail, but using config files (and only
  for newer installations).
- Use triggers with Epoch.

* Mon Jul 28 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002d-5mdk
- drop maildir patch17

* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2002d-4mdk
- rebuild against new kerberos

* Thu Jul 24 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002d-3mdk
- add patch17, mailsubdir in $HOME/Mail (Giuseppe Ghib)

* Tue Jul 22 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2002d-2mdk
- rebuild

* Thu Jul 17 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002d-1mdk
- 2002d, rework patch7, drop patch8

* Thu May 01 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002b-3mdk
- add imap-utils [Bug 3834] <h.goebel@crazy-compilers.com>

* Tue Apr 29 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002b-2mdk
- distriblint conflicts

* Wed Apr 09 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002b-1mdk
- 2002b, rework patch7

* Wed Jan 08 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002a-2mdk
- fix broken plain pop3, imap support (SSLTYPE=none, patch15) [Bug 751]

* Mon Jan 06 2003 Stew Benedict <sbenedict@mandrakesoft.com> 2002a-1mdk
- 2002a, rework patches 7,10,11,14, drop patch13, remove unused patch2
- SSLTYPE now unix.nopwd

* Fri Sep 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1:2001a-10mdk
- Patch14 (Debian): Fix code to be usable with ANSI C++ client

* Wed Jul 03 2002 Vincent Danen <vdanen@mandrakesoft.com> 2001a-9mdk
- SSL certs now go in /etc/ssl/imap
- regenerate SOURCE8, P0, and P10 for cert relocation

* Mon May 27 2002 Vincent Danen <vdanen@mandrakesoft.com> 2001a-8mdk
- added P13; aka really-fix-buffer-overflow (never trust RH!)
  http://online.securityfocus.com/archive/1/271958

* Sun May 26 2002 Yves Duret <yduret@mandrakesoft.com> 2001a-7mdk
- contributed by Oden Eriksson <oden.eriksson@kvikkjokk.net>
  * added P12 (http://lwn.net/alerts/RedHat/RHSA-2002:092-11.php3)

* Tue May 21 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2001a-6mdk
- rebuild against new openssl.

* Tue Apr 30 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2001a-5mdk
- updated by Oden Eriksson <oden.eriksson@kvikkjokk.net>:
	- added the PHP4 friendly libc-client.a (use libc-client-PHP4.a when
	  building the imap extension for PHP4)
	- The devel sub package does not have to require the imap package

* Sat Mar 16 2002 Yves Duret <yduret@mandrakesoft.com> 2001a-4mdk
- fix ssl stuf thx Oden Eriksson <oden.eriksson@kvikkjokk.net>:
  changed patch0 that the SSLCERTS dir is /usr/lib/ssl/certs
  these was pointed out by Stefan van der Eijk <stefan@eijk.nu>
- doc/SSLBUILD is updated according new ssl place (adapated patch10)
- redone conditional build (krb, name..)

* Wed Mar 13 2002 Yves Duret <yduret@mandrakesoft.com> 2001a-3mdk
- removed imap-2000c-security.patch, and imap-2000c-morefixes.patch as they
  are now integrated in 2001a
- SSL stuff is in %{_libdir}/ssl not in %_sharedir/ssl !!
- generates ssl cert in %post now (borrowed a Makefile from RedHat openssl)
- added kerebos5 support (conditional build for 7.x 8.0 update)
- adapted patch11 imap-2000-krbpath.patch 
- merged with RedHat config
- from Giuseppe Ghib <ghibo@mandrakesoft.com> : 
  * renamed libc-client-ssl.a -> libc-client.a, libc-client.a -> libc-client-nossl.a.
  * added Patch to Patch0 from Oden Eriksson <oden.eriksson@kvikkjokk.net>.
  * added missed libc-client-ssl.a in devel package (Oden Eriksson).

* Fri Jan 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 2001a-2mdk
- renamed to uw-imap.

* Tue Nov 27 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2001a-1mdk
- sync patches with RedHat 2001a-2.
- readapted ssl patch (Patch1) to version 2001a.
- removed Patch2 (-vfs.patch).
- moved Patch3 (-redhat) -> Patch4.
- added Patch3 (-disable-mbox).
- readapted Patch4 (-redhat) to version 2001a: removed IGNORE_LOCK_EACCES_ERROR=1
  (no longer documented in docs/imaprc.txt) from EXTRACFLAGS.
- readapted Patch8 (-pine-bogus...) to version 2001a.
- removed Patch11 (-security), now merged into main tree, and Patch12
- changed flags SPECIALAUTHENTICATORS=ssl to SSLTYPE=unix (needed to build
  with SSL support).

* Mon Jun 18 2001 Stefan van der Eijk <stefan@eijk.nu> 2000c-7mdk
- BuildRequires:	pam-devel

* Sat Jun 02 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000c-6mdk
- Fix directory cpio problem, stupid typo (Vincent Myer).

* Fri Jun 01 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000c-5mdk
- Really make SSL work by default (Yes I admit that I really suck).

* Wed May 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 2000c-4mdk
- security patches

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000c-3mdk
- Really make SSL connections work by default.

* Fri May 18 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2000c-2mdk
- Make pop3s and imaps work by default by installing a defualt certificate,
  ripped shamelessly from the mod_ssl package.

* Wed Apr 11 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2000c-1mdk
- updated to version 2000c (bugfixes).
- removed setcred patch (now included).
- removed sparc patch (now included).
- re-adapted -flock and -version patches to release 2000c.

* Thu Mar 15 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2000-6mdk
- build with -fno-omit-frame-pointer for libsafe.
- fixed SSLBUILD docs.

* Wed Mar 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2000-5mdk
- renamed ipop3d and imapd with SSL support to ipop3sd and imapsd, so
  that different libwrapper (i.e. /etc/hosts.deny|allow) entries can be
  used (e.g. one can allow remote SSL imapd and allow imap only for
  localhost, e.g. because needed for a WebMailer like horde IMP).

* Sat Mar 03 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 2000-4mdk
- fixed a typo in the SPEC file. Now imap2000 really supports
  SSL.
- bzip2 patches.

* Fri Mar 02 2001 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2000-3mdk
- Adjust version as required by the License.
- Fix glibc-2.2.2 compilation.

* Thu Jan 11 2001 David BAUDENS <baudens@mandrakesoft.com> 2000-2mdk
- Don't apply sparc patch on non sparc archs (so, fix PPC build)
- %config(noreplace)
- Macros

* Fri Nov 10 2000 Vincent Danen <vdanen@mandrakesoft.com> 2000-1mdk
- 2000
- change -devel description
- include SSL support
- fixed xinetd support for ipop2 (was using ipop3 for ipop2 incorrectly)

* Tue Sep 26 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.7c2-4mdk
- Pamstackizification.

* Sat Sep 23 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.7c2-3mdk
- Correct xinetd scripts.
- Add xinetd support for imap.

* Sun Sep 17 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.7c2-2mdk
- Fix bad link.

* Tue Jul 18 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 4.7c2-1mdk
- BM.
- xinetd support.
- Merge rh patches.
- 4.7c2.
- Clean up sepcs.

* Sun Apr 02 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 4.7b_virtual-2mdk
- fixed group

* Thu Mar 02 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7b_virtual-1mdk
- updated to 4.7b

* Tue Feb 29 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7a_virtual-3mdk
- A fix for crashes caused by certain unusual tokens in message headers. 
- updated patch

* Mon Feb 28 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7a_virtual-2mdk
- moved docs in main package instead of devel

* Mon Feb 28 2000 Jean-Michel Dault <jmdault@netrevolution.com> 4.7a_virtual-1mdk
- upgraded to 4.7a
- added phall virtual patch for Linuxconf

* Mon Jan 03 2000 Jean-Michel Dault <jmdault@netrevolution.com>
- final cleanup for Mandrake 7

* Fri Dec 31 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- rebuild for Mandrake 7

* Sun Dec 12 1999 Jean-Michel Dault <jmdault@netrevolution.com>
- Took mandrake adaptations (except SMP build) from 4.5-6mdk and updated to
  4.7. Now we have imap-devel
- Merged and re-made patch files

* Thu May 20 1999 Brian Bruns <bruns@magenet.com>
- Built on RH 5.2

* Thu May 20 1999 Henri Gomez <gomez@slib.fr>
- added devel package and libimap support

* Fri May 14 1999 Brian Bruns <bruns@magenet.com>
- Update to IMAP 4.6 beta

* Fri Apr 09 1999 Cristian Gafton <gafton@redhat.com>
- ipop3d service name was changed to "pop" now. Clearly somebody that hasn't
  got a clue about PAM stuff is messing around with the source.

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Sat Mar 13 1999 Cristian Gafton <gafton@redhat.com>
- verson 4.5
- loose the noflock patch

* Thu Dec 17 1998 Cristian Gafton <gafton@redhat.com>
- added a -vfs patch because sys/statvfs on glibc 2.1 is different from what
  is available on the sun...
- build against glibc 2.1

* Fri Sep 11 1998 Jeff Johnson <jbj@redhat.com>
- use only fcntl locking.

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 4.4.
- removed g+s bit to imapd.

* Wed Jul 22 1998 Jeff Johnson <jbj@redhat.com>
- updated to 4.2.
- added g+s bit to imapd so that lock files can be created.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...

* Wed Dec 10 1997 Cristian Gafton <gafton@redhat.com>
- Updated to the latest imap as of today...
- Updated the pam patch to reflect the new directory organization

* Thu Oct 23 1997 Michael K. Johnson <johnsonm@redhat.com>
- Fix patch for new PAM spec compliance.

* Thu Oct 02 1997 Michael K. Johnson <johnsonm@redhat.com>
- Comply with change in PAM spec.
- Use a buildroot.

* Mon Mar 03 1997 Michael K. Johnson <johnsonm@redhat.com>
- Moved from pam.conf to pam.d

* Mon Mar 03 1997 Erik Troan <ewt@redhat.com>
- Fixed buffer overrun in server_login().

